package net.mc_pandacraft.java.plugin.pandacraftutils.network_api;

import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorBroadcast;
import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorCommand;
import net.mc_pandacraft.java.plugin.pandacraftutils.network_api.request_executors.RequestExecutorCommandAsync;

public class NetworkAPI {
	
	public static void loadNewInstance() {
		
		
		NetworkAPIListener.loadNewInstance();
		
		/*
		 * Initialisation des exécuteurs des commandes réseau
		 * LEs constructeurs s'occupent eux même de se référencer dans l'instance de la classe NetworkAPIListener
		 */
		new RequestExecutorCommand();
		new RequestExecutorBroadcast();
		new RequestExecutorCommandAsync();
		
	}
	/*
	public static void main(String[] args) throws Throwable {
		loadNewInstance();
		
		System.out.println(NetworkAPIListener.getInstance().getCommandList());
		
		NetworkAPIListener.getInstance().join();
	}
	*/

}
